I only wanted to...

Friday 29th July, 2005
buy a lottery ticket.

That would be IE7 then!




error Incompatible Web Browser




To allow us to give you secure access to this section of The National Lottery website you must use a PC or Mac running one of the following web browsers:
  • Internet Explorer 5.01 SP2, 5.2, 5.5 SP2 and 6.
  • Netscape 7 or AOL 7 and above
  • Firefox 1.0 and above
  • Safari 1.0 and above
  • Mozilla 1.0 and above



Comments/Trackbacks [0]